import { Route, Routes } from "react-router-dom";
import { MySupsenseFallback } from "../../../shared/components/MySupsenseFallback";
import { Constants } from "../../utils/utils";
import Team from "../../../features/Team";
import Roles from "../../../features/Roles";
import WhatsNew from "../../../features/WhatsNew";
import SuggestFeature from "../../../features/SuggestFeature";
import ContactSupport from "../../../features/ContactSupport";
import Lessons from "../../../features/Lessons";
import Settings from "../../../features/Settings";
import PageNotFound from "../../../features/PageNotFound";
import LessonPage from "../../../features/Lessons/LessonPage";
import LessonPageEditor from "../../../features/Lessons/LessonPageEditor";
import TeamCreateUser from "features/Team/CreateUser";
import Board from "features/Board";
import UserProfile from "features/UserProfile";

export default function AppRoutes() {
  return (
    <Routes>
      <Route
        path={Constants.ROUTE_PATHS.BOARD}
        element={
          <MySupsenseFallback>
            <Board />
          </MySupsenseFallback>
        }
      />

      <Route
        path={Constants.ROUTE_PATHS.LESSIONS.ROOT}
        element={
          <MySupsenseFallback>
            <Lessons />
          </MySupsenseFallback>
        }
      />

      <Route
        path={Constants.ROUTE_PATHS.LESSIONS.PAGE}
        element={
          <MySupsenseFallback>
            <LessonPage />
          </MySupsenseFallback>
        }
      />

      <Route
        path={Constants.ROUTE_PATHS.LESSIONS.PAGE_EDITOR}
        element={
          <MySupsenseFallback>
            <LessonPageEditor />
          </MySupsenseFallback>
        }
      />

      <Route
        path={Constants.ROUTE_PATHS.ORGANIZATION_TEAM}
        element={
          <MySupsenseFallback>
            <Team />
          </MySupsenseFallback>
        }
      />

      <Route
        path={Constants.ROUTE_PATHS.ORGANIZATION_TEAM_CREATE_USER}
        element={
          <MySupsenseFallback>
            <TeamCreateUser />
          </MySupsenseFallback>
        }
      />

      <Route
        path={Constants.ROUTE_PATHS.ORGANIZATION_ROLES}
        element={
          <MySupsenseFallback>
            <Roles />
          </MySupsenseFallback>
        }
      />

      <Route
        path={Constants.ROUTE_PATHS.ORGANIZATION_SETTINGS}
        element={
          <MySupsenseFallback>
            <Settings />
          </MySupsenseFallback>
        }
      />

      <Route
        path={Constants.ROUTE_PATHS.ACCOUNT_SETTINGS}
        element={
          <MySupsenseFallback>
            <UserProfile />
          </MySupsenseFallback>
        }
      />

      <Route
        path={Constants.ROUTE_PATHS.WHATS_NEW}
        element={
          <MySupsenseFallback>
            <WhatsNew />
          </MySupsenseFallback>
        }
      />

      <Route
        path={Constants.ROUTE_PATHS.SUGGEST_FEATURE}
        element={
          <MySupsenseFallback>
            <SuggestFeature />
          </MySupsenseFallback>
        }
      />

      <Route
        path={Constants.ROUTE_PATHS.CONTACT_SUPPORT}
        element={
          <MySupsenseFallback>
            <ContactSupport />
          </MySupsenseFallback>
        }
      />

      <Route
        path="*"
        element={
          <MySupsenseFallback>
            <PageNotFound />
          </MySupsenseFallback>
        }
      />
    </Routes>
  );
}
