import Sider from "antd/es/layout/Sider";
import { useDispatch, useSelector } from "react-redux";
import { isSideMenuCollapsed, setIsSideMenuCollapsed } from "../sideMenuSlice";

export default function SideMenuDesktop({
  children,
}: {
  children: React.ReactNode;
}) {
  const dispatch = useDispatch();
  const isCollpased = useSelector(isSideMenuCollapsed);

  return (
    <Sider
      theme="light"
      style={{
        overflow: "auto",
        height: "100vh",
        position: "fixed",
        left: 0,
        top: 0,
        bottom: 0,
      }}
      breakpoint="lg"
      collapsedWidth={1}
      collapsed={isCollpased}
      onCollapse={(collapsed) => dispatch(setIsSideMenuCollapsed(collapsed))}
    >
      {children}
    </Sider>
  );
}
