import { Drawer } from "antd";
import { useDispatch, useSelector } from "react-redux";
import { isSideMenuCollapsed, setIsSideMenuCollapsed } from "../sideMenuSlice";

export default function SideMenuMobile({
  children,
}: {
  children: React.ReactNode;
}) {
  const dispatch = useDispatch();
  const isCollpased = useSelector(isSideMenuCollapsed);

  return (
    <Drawer
      open={!isCollpased}
      onClose={() => dispatch(setIsSideMenuCollapsed(true))}
      placement="left"
      styles={{ body: { padding: 0 } }}
      width={200}
    >
      {children}
    </Drawer>
  );
}
