import { createSlice } from "@reduxjs/toolkit";
import { BreakpointLgWidth } from "../../utils/utils";

export const sideMenuSlice = createSlice({
  name: "sideMenu",
  initialState: {
    isSideMenuCollapsed: window.innerWidth < BreakpointLgWidth,
    sideMenuComponentFirstRender: true,
  },
  reducers: {
    setIsSideMenuCollapsed: (state, action) => {
      state.isSideMenuCollapsed = action.payload;
    },
    setSideMenuComponentFirstRender: (state, action) => {
      state.sideMenuComponentFirstRender = action.payload;
    },
  },
  selectors: {
    isSideMenuCollapsed: (state) => state.isSideMenuCollapsed,
    sideMenuComponentFirstRender: (state) => state.sideMenuComponentFirstRender,
  },
});

export const { setIsSideMenuCollapsed, setSideMenuComponentFirstRender } =
  sideMenuSlice.actions;

export const { isSideMenuCollapsed, sideMenuComponentFirstRender } =
  sideMenuSlice.selectors;
