import { Content } from "antd/es/layout/layout";

export function MyContainer({
  children,
  style = {},
}: {
  children: React.ReactNode;
  style?: React.CSSProperties;
}) {
  return <Content style={{ padding: 12, ...style }}>{children}</Content>;
}

export interface MyCenteredContainerProps {
  children?: React.ReactNode;
  height?: string;
}

export function MyCenteredContainer({
  children,
  height,
}: MyCenteredContainerProps) {
  return (
    <div
      style={{
        display: "flex",
        flexDirection: "row",
        justifyContent: "center",
        alignContent: "center",
        alignItems: "center",
        height: height || "100vh",
      }}
    >
      {children}
    </div>
  );
}
